# Maintainer: Alexander Fasching <fasching.a91@gmail.com>
# Contributor: brent s. <bts[at]square-r00t[dot]net>
# Bugreports can be filed at https://github.com/alexf91/AUR-PKGBUILDs

pkgname=python-grpcio-tools
pkgver=1.48.0
pkgrel=1.1
pkgdesc="Python protobuf generator for GRPC"
arch=('x86_64' 'aarch64') # 'i686' 'armv7h')
url="https://grpc.io"
license=('Apache' )
_pkgname=grpcio-tools
makedepends=('python-setuptools' "python-grpcio>=${pkgver}")
source=("https://files.pythonhosted.org/packages/source/g/${_pkgname}/${_pkgname}-${pkgver}.tar.gz")
sha512sums=('f81cdc593ed8d8b445597d1de72b68d66605c3ccb3e3a56117f7a02a6d548c1873c1dda3f8f255a6c9f4e8b6fc95fe270d4a63376a271ae30bfb6456adc8b375')

build() {
    cd "$srcdir/$_pkgname-$pkgver"
    python setup.py build
}

package() {
    depends=('python' "python-grpcio>=${pkgver}" 'python-protobuf')
    cd "$srcdir/$_pkgname-$pkgver"
    python setup.py install --root="$pkgdir" --optimize=1 --skip-build
}
